# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.6)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.20)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget holoscan::logger holoscan::core holoscan::viz holoscan::viz::imgui holoscan::infer holoscan::infer_utils holoscan::ops::aja holoscan::ops::async_ping_rx holoscan::ops::async_ping_tx holoscan::ops::bayer_demosaic holoscan::ops::format_converter holoscan::ops::holoviz holoscan::ops::inference holoscan::ops::inference_processor holoscan::ops::ping_rx holoscan::ops::ping_tx holoscan::ops::segmentation_postprocessor holoscan::ops::video_stream_recorder holoscan::ops::video_stream_replayer holoscan::ops::v4l2 holoscan::infer::torch holoscan::yaml-cpp holoscan::glfw holoscan::ajantv2)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target holoscan::logger
add_library(holoscan::logger SHARED IMPORTED)

set_target_properties(holoscan::logger PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "FMT_HEADER_ONLY=1"
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "fmt::fmt-header-only"
)

# Create imported target holoscan::core
add_library(holoscan::core SHARED IMPORTED)

set_target_properties(holoscan::core PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;${_IMPORT_PREFIX}/include/3rdparty"
  INTERFACE_LINK_LIBRARIES "dl;holoscan::logger;CUDA::cudart;fmt::fmt-header-only;GXF::core;GXF::cuda;GXF::serialization;GXF::std;holoscan::yaml-cpp"
)

# Create imported target holoscan::viz
add_library(holoscan::viz SHARED IMPORTED)

set_target_properties(holoscan::viz PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "CUDA::cuda_driver"
)

# Create imported target holoscan::viz::imgui
add_library(holoscan::viz::imgui STATIC IMPORTED)

set_target_properties(holoscan::viz::imgui PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/holoviz/imgui"
)

# Create imported target holoscan::infer
add_library(holoscan::infer SHARED IMPORTED)

set_target_properties(holoscan::infer PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/holoinfer"
  INTERFACE_LINK_LIBRARIES "GXF::core;GXF::cuda;GXF::multimedia;GXF::std;holoscan::yaml-cpp"
)

# Create imported target holoscan::infer_utils
add_library(holoscan::infer_utils SHARED IMPORTED)

set_target_properties(holoscan::infer_utils PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::infer"
)

# Create imported target holoscan::ops::aja
add_library(holoscan::ops::aja SHARED IMPORTED)

set_target_properties(holoscan::ops::aja PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core;holoscan::ajantv2;CUDA::cuda_driver"
)

# Create imported target holoscan::ops::async_ping_rx
add_library(holoscan::ops::async_ping_rx SHARED IMPORTED)

set_target_properties(holoscan::ops::async_ping_rx PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core"
)

# Create imported target holoscan::ops::async_ping_tx
add_library(holoscan::ops::async_ping_tx SHARED IMPORTED)

set_target_properties(holoscan::ops::async_ping_tx PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core"
)

# Create imported target holoscan::ops::bayer_demosaic
add_library(holoscan::ops::bayer_demosaic SHARED IMPORTED)

set_target_properties(holoscan::ops::bayer_demosaic PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core"
)

# Create imported target holoscan::ops::format_converter
add_library(holoscan::ops::format_converter SHARED IMPORTED)

set_target_properties(holoscan::ops::format_converter PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core"
)

# Create imported target holoscan::ops::holoviz
add_library(holoscan::ops::holoviz SHARED IMPORTED)

set_target_properties(holoscan::ops::holoviz PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core;holoscan::viz"
)

# Create imported target holoscan::ops::inference
add_library(holoscan::ops::inference SHARED IMPORTED)

set_target_properties(holoscan::ops::inference PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core;holoscan::infer;holoscan::infer_utils"
)

# Create imported target holoscan::ops::inference_processor
add_library(holoscan::ops::inference_processor SHARED IMPORTED)

set_target_properties(holoscan::ops::inference_processor PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core;holoscan::infer;holoscan::infer_utils"
)

# Create imported target holoscan::ops::ping_rx
add_library(holoscan::ops::ping_rx SHARED IMPORTED)

set_target_properties(holoscan::ops::ping_rx PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core"
)

# Create imported target holoscan::ops::ping_tx
add_library(holoscan::ops::ping_tx SHARED IMPORTED)

set_target_properties(holoscan::ops::ping_tx PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core"
)

# Create imported target holoscan::ops::segmentation_postprocessor
add_library(holoscan::ops::segmentation_postprocessor SHARED IMPORTED)

set_target_properties(holoscan::ops::segmentation_postprocessor PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core"
)

# Create imported target holoscan::ops::video_stream_recorder
add_library(holoscan::ops::video_stream_recorder SHARED IMPORTED)

set_target_properties(holoscan::ops::video_stream_recorder PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core;GXF::serialization"
)

# Create imported target holoscan::ops::video_stream_replayer
add_library(holoscan::ops::video_stream_replayer SHARED IMPORTED)

set_target_properties(holoscan::ops::video_stream_replayer PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core;GXF::serialization"
)

# Create imported target holoscan::ops::v4l2
add_library(holoscan::ops::v4l2 SHARED IMPORTED)

set_target_properties(holoscan::ops::v4l2 PROPERTIES
  INTERFACE_LINK_LIBRARIES "holoscan::core;holoscan::core;V4L2"
)

# Create imported target holoscan::infer::torch
add_library(holoscan::infer::torch SHARED IMPORTED)

set_target_properties(holoscan::infer::torch PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/holoinfer"
)

# Create imported target holoscan::yaml-cpp
add_library(holoscan::yaml-cpp SHARED IMPORTED)

set_target_properties(holoscan::yaml-cpp PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target holoscan::glfw
add_library(holoscan::glfw SHARED IMPORTED)

set_target_properties(holoscan::glfw PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target holoscan::ajantv2
add_library(holoscan::ajantv2 STATIC IMPORTED)

set_target_properties(holoscan::ajantv2 PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "NDEBUG;AJALinux;AJA_LINUX;AJASTATIC"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/ajalibraries;${_IMPORT_PREFIX}/include/ajalibraries/ajantv2/includes;${_IMPORT_PREFIX}/include/ajalibraries/ajantv2/src/lin"
  INTERFACE_LINK_LIBRARIES "rt;pthread"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/holoscan-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# Make sure the targets which have been exported in some other
# export set exist.
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
foreach(_target "fmt::fmt-header-only" )
  if(NOT TARGET "${_target}" )
    set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets "${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets} ${_target}")
  endif()
endforeach()

if(DEFINED ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
  if(CMAKE_FIND_PACKAGE_NAME)
    set( ${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
    set( ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  else()
    message(FATAL_ERROR "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  endif()
endif()
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
